<?php
require_once( LIB_DIR . 'Prototype' . DS . 'class.PTPlugin.php' );

class CustomValidation extends PTPlugin {

    function __construct () {
        parent::__construct();
    }

    function custom_form_validation ( $app, $question, $value, &$error_msg ) {
        $values = $app->param( 'question_' . $question->basename );
        // { [0]=> string(2) "03" [1]=> string(3) "1000" [2]=> string(3) "2000" }
        // $value => "03-1000-2000"
        foreach ( $values as $v ) {
            if (! ctype_digit( $v ) ) {
                $error_msg = $this->translate( 'The all values must be number.' );
                return false;
            }
        }
        return true;
    }
}